Evaluate which projects showcased at the Wikimedia Hackathon should be supported further
Closed, ResolvedPublic

Description

T93584: Goal: Most welcoming and productive Wikimedia Hackathon had a goal defined of at least 2 hackathon projects showcased that are worth supporting further.

The candidates are listed in T96378: Wikimedia Hackathon 2015 showcase. We need to make a selection, and for that we need to define the criteria to select them.

Principles

Features of a certain size

We are including projects that pursue new features and that imply a significant amount of work. Bugfixes and small tasks have been excluded.

Powered by volunteering

The main purpose of this selection is to highlight projects where volunteers are either drivers or essential co-pilots. Projects driven entirely by WMF teams are excluded, since these teams have the means to push these projects through their team goals. Projects driven by WMF developers in their volunteer capacity (i.e. in areas different then their usual work) are included.

Community consensus

Projects without community consensus have been excluded, since those discussions would need to happen first.

Selection

To be continued in Wikimania

The own promoters of these projects have committed to work further in #Wikimania-Hackathon-2015

Related to WMF goals

Not planned for Wikimania, but a WMF team or individual is committing to support this project in a quarterly goal.

Noticeable projects apparently stuck

Interesting projects that received love and work in Lyon, but seem to be stuck since then.

Related Objects

Qgil created this task.Jun 2 2015, 7:31 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to High.
Qgil claimed this task.
Qgil added subscribers: Daniel_Mietchen, Ckoerner, Sumit and 7 others.
Qgil mentioned this in T100295: Wiki-HoaxBuster.
Qgil added a comment.Jun 4 2015, 10:45 AM

I sent an invitation to a bunch of relevant tasks, as seen in the log above.

Now I know that batch edits don't allow any paragraph formatting in comments... This is how the original looked like:


We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward.

  • If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start.
  • If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project.
  • If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Relations (or you can start by commenting here if you prefer).
  • Keeping the description, priority and assigned fields up to date always helps. :)

For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

Qgil added a comment.Jun 5 2015, 6:08 AM

The survey contains a question that is relevant to this task:

What is the project that impressed you the most?

I have access to the results of the survey in real time, so I will extract and process the replies in a couple of weeks, when most people have answered.

Qgil lowered the priority of this task from High to Normal.Jun 9 2015, 8:14 AM
Qgil moved this task from Backlog to Ready to Go on the ECT-June-2015 board.Jun 18 2015, 9:07 AM
Qgil updated the task description. (Show Details)Jun 27 2015, 2:53 PM
Qgil set Security to None.
Qgil added a subscriber: Jhernandez.
Qgil closed this task as Resolved.Jun 27 2015, 2:59 PM

After going through all the projects showcased and open today, I have highlighted seven and I have documented the criteria.

Resolving, although anybody can help improving this list. I will follow up with these projects, checking whether someone will work on them in Wikimania, as part of WMF quarterly goals, or else.

Qgil updated the task description. (Show Details)Jun 27 2015, 4:17 PM
Qgil updated the task description. (Show Details)Jun 27 2015, 8:25 PM

With a role change (from more purely software engineering to more purely managing) I don't have a lot of bandwidth to work T91658: Hacking: Wiki Radio. But @bgerstle, @coreyfloyd, @Mhurd, do you think this is something that may be of interest to you and if you might have experimentation time to do this The Right Way? I totally understand if it's not practical.

@Qgil, I need to think quickly and hard about whether I can make this a part of my goals for Q1 or perhaps more realistically, Q2 & beyond. I like coding in Swift (and I like coding), and I still think something like a queued radio-like experience would be pretty neat (and someday, think about the possibility of having users record sections of articles, entire articles, pronunciations, and more). But I have to be practical, too. @brion, any interest in this, and realistically, would there be time for you and I to pair program on this? I totally understand if not.

Qgil added a comment.Jun 29 2015, 5:49 PM

@dr0ptp4kt, I have copied your comment to T91658#1410372 because that discussion belongs there.